#include <bits/stdc++.h>

using namespace std;
long long int a[1000010];
int main()
{
    long long int n,x;
    cin >> n >> x;
    for (int i=0;i<n;i++)
        cin >> a[i];
    sort(a,a+n);
    if (a[0]>x) cout << a[n-1]-x;
    else if (a[n-1]<x) cout << x-a[0];
    else if (abs(x-a[0])<=abs(a[n-1]-x)) cout << a[n-1]-a[0]+abs(x-a[0]);
    else cout << a[n-1]-a[0]+abs(a[n-1]-x);
    return 0;
}